<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.error.StreamErrorNode</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.error-module.html">Module&nbsp;error</a> ::
        Class&nbsp;StreamErrorNode
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class StreamErrorNode</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.error-pysrc.html#StreamErrorNode">source&nbsp;code</a></span></p>
<pre class="base-tree">
<a href="pyxmpp.error.ErrorNode-class.html">ErrorNode</a> --+
            |
           <strong class="uidshort">StreamErrorNode</strong>
</pre>

<hr />
Stream error element.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.StreamErrorNode-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode_or_cond</span>,
        <span class="summary-sig-arg">copy</span>=<span class="summary-sig-default">1</span>,
        <span class="summary-sig-arg">parent</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize a StreamErrorNode object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#StreamErrorNode.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.error.StreamErrorNode-class.html#get_message" class="summary-sig-name">get_message</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the message for the error.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.error-pysrc.html#StreamErrorNode.get_message">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.error.ErrorNode-class.html">ErrorNode</a></code></b>:
      <code><a href="pyxmpp.error.ErrorNode-class.html#__del__">__del__</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#add_custom_condition">add_custom_condition</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#downgrade">downgrade</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#free">free</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#free_borrowed">free_borrowed</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#get_condition">get_condition</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#get_text">get_text</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#is_legacy">is_legacy</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#serialize">serialize</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#upgrade">upgrade</a></code>,
      <code><a href="pyxmpp.error.ErrorNode-class.html#xpath_eval">xpath_eval</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode_or_cond</span>,
        <span class="sig-arg">copy</span>=<span class="sig-default">1</span>,
        <span class="sig-arg">parent</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#StreamErrorNode.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a StreamErrorNode object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode_or_cond</code></strong> (: <code class="link">libxml2.xmlNode</code> or <code class="link">unicode</code>) - : XML node to be wrapped into this object
or the primary (defined by XMPP specification) error condition name.</li>
        <li><strong class="pname"><code>copy</code></strong> (: <code class="link">bool</code>) - : When <code class="link">True</code> then the XML node will be copied,
otherwise it is only borrowed.</li>
        <li><strong class="pname"><code>parent</code></strong> (: <code class="link">libxml2.xmlNode</code>) - : Parent node for the XML node to be copied or created.</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.error.ErrorNode-class.html#__init__">ErrorNode.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="get_message"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_message</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.error-pysrc.html#StreamErrorNode.get_message">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the message for the error.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>the error message.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:59 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
